import { LTWHP, ViewportHighlight } from '../types';
export interface AreaHighlightProps {
    highlight: ViewportHighlight;
    onChange?(rect: LTWHP): void;
    isScrolledTo?: boolean;
    bounds?: string | Element;
    onContextMenu?(event: MouseEvent): void;
    onEditStart?(): void;
    style?: object;
}
export declare class AreaHighlight {
    private highlight;
    private onChange?;
    private isScrolledTo?;
    private bounds?;
    private onContextMenu?;
    private onEditStart?;
    private style?;
    constructor(props: AreaHighlightProps);
    private generateKey;
    handleDragStop(x: number, y: number): void;
    handleResizeStop(x: number, y: number, width: number, height: number, ref: HTMLElement): void;
    handleClick(event: Event): void;
    render(): HTMLDivElement;
}
