import { OnProgressParameters, PDFDocumentProxy } from 'pdfjs-dist';
export declare class PdfLoader {
    private document;
    private beforeLoad;
    private errorMessage;
    private onError;
    private workerSrc;
    private pdfLoadingTaskRef;
    private pdfDocumentRef;
    private error;
    private loadingProgress;
    constructor(document: string, beforeLoad?: (progress: OnProgressParameters) => HTMLDivElement, errorMessage?: (error: Error) => HTMLDivElement, onError?: (error: Error) => void, workerSrc?: string);
    loadDocument(): Promise<PDFDocumentProxy>;
    private updateUI;
    render(): void;
    private children;
}
